Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 415571

Summary: net-mail/dovecot-2.0.19: crashes every now then when a user tries to login
Product: Gentoo Linux Reporter: Lutz Schildt <ls>
Component: [OLD] ServerAssignee: Eray Aslan <eras>
Status: RESOLVED NEEDINFO    
Severity: normal CC: alunduil, mjo, net-mail
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: dovecot.conf
dovecot-sql.conf.ext
dovecot config files
Test ebuild for dovecot-2.2.alpha1

Description Lutz Schildt 2012-05-12 12:31:23 UTC
Since the update from 2.0.17 to 2.0.19 dovecot/config sometimes crashes when a user tries to login. This does not happen all the time, only once per hour or so. It happens for all users on different imap-clients (Thunderbird, Black Berry, iPhones, Mac Pro, Outlook).

I'm not sure what could be useful to help track this down, I do have quite a few core dumps though. Please note that the CXXFLAG -ggdb and FEATURE nostrip have been added to get useful coredumps.

Reproducible: Sometimes




emerge --info:

Portage 2.1.10.49 (default/linux/amd64/10.0/server, gcc-4.5.3, glibc-2.14.1-r3, 3.2.12-gentoo x86_64)
=================================================================
System uname: Linux-3.2.12-gentoo-x86_64-Quad-Core_AMD_Opteron-tm-_Processor_1352-with-gentoo-2.0.3
Timestamp of tree: Fri, 11 May 2012 22:15:01 +0000
app-shells/bash:          4.2_p20
dev-lang/python:          2.7.2-r3, 3.2.2
dev-util/cmake:           2.8.6-r4
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O1 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=k8 -O1 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news nostrip parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.netcologne.de/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://mirror.leaseweb.com/gentoo/"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="de en"
MAKEOPTS="-s -j3 -l8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="acl amd64 apache2 berkdb bzip2 cli cracklib crypt cxx dri gd gdbm iconv mmx modules mudflap multilib mysql mysqli ncurses nls nptl openmp pam pcre perl pppd python readline session snmp sse sse2 ssl suhosin symlink tcpd truetype unicode xml xmlreader xmlrpc xmlwriter xorg xsl zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="alias auth_basic auth_digest authn_pam authn_anon authn_default authn_file authz_default authz_groupfile authz_host authz_user disk_cache env expires rewrite status log_config cache actions deflate dir filter headers include info mime mime_magic negotiation setenvif" APACHE2_MPMS="itk" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

--- From /var/log/mail.log ---
May 12 12:48:11 piripiri078 dovecot: config: Panic: file settings-parser.c: line 1877 (settings_copy_deflist_unique): assertion failed: (src_count == ccount)
May 12 12:48:11 piripiri078 dovecot: config: Error: Raw backtrace: /usr/lib64/dovecot/libdovecot.so.0(+0x3d681) [0x7f3d1eac9681] -> /usr/lib64/dovecot/libdovecot.so.0(i_syslog_fatal_handler+0) [0x7f3d1eac96d7] -> /usr/lib64/dovecot/libdovecot.so.0(i_syslog_error_handler+0) [0x7f3d1eac9224] -> /usr/lib64/dovecot/libdovecot.so.0(+0x1ba56) [0x7f3d1eaa7a56] -> /usr/lib64/dovecot/libdovecot.so.0(+0x1bc87) [0x7f3d1eaa7c87] -> /usr/lib64/dovecot/libdovecot.so.0(settings_parser_apply_changes+0xc5) [0x7f3d1eaa8860] -> dovecot/config(config_filter_parsers_get+0x427) [0x406ed8] -> dovecot/config(config_parse_file+0x832) [0x408ab3] -> dovecot/config(main+0xa5) [0x404e4b] -> /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f3d1e7232ad] -> dovecot/config() [0x404cd9]
May 12 12:48:11 piripiri078 dovecot: master: Error: service(config): child 26718 killed with signal 6 (core dumped)
May 12 12:48:11 piripiri078 dovecot: master: Error: service(config): command startup failed, throttling
May 12 12:48:11 piripiri078 dovecot: imap-login: Fatal: Error reading configuration: read(/var/run/dovecot/config) failed: Connection reset by peer
---------
 
--- gdb-output ---
 
tmp # gdb /usr/libexec/dovecot/config core.12395-6-config
GNU gdb (Gentoo 7.3.1 p2) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/libexec/dovecot/config...done.
[New LWP 12395]
 
warning: Can't read pathname for load map: Input/output error.
[Thread debugging using libthread_db enabled]
Core was generated by `dovecot/config'.
Program terminated with signal 6, Aborted.
#0 0x00007f4118be7655 in raise () from /lib64/libc.so.6
(gdb) bt
#0 0x00007f4118be7655 in raise () from /lib64/libc.so.6
#1 0x00007f4118be88fa in abort () from /lib64/libc.so.6
#2 0x00007f4118f7a69f in default_fatal_finish (type=<optimized out>, status=0) at failures.c:187
#3 0x00007f4118f7a6d7 in i_internal_fatal_handler (ctx=0x7fff395b48e0, format=<optimized out>, args=<optimized out>) at failures.c:645
#4 0x00007f4118f7a224 in i_panic (format=0x306b <Address 0x306b out of bounds>) at failures.c:259
#5 0x00007f4118f58a56 in settings_copy_deflist_unique (conflict_key_r=0x0, pool=0x26fc980, dest_link=0x7fff395b4bf0, src_link=0x7fff395b4bb0, def=0x40e640) at settings-parser.c:1877
#6 settings_apply (dest_link=0x7fff395b4bf0, src_link=0x7fff395b4bb0, pool=0x26fc980, conflict_key_r=0x0) at settings-parser.c:1964
#7 0x00007f4118f58c87 in settings_copy_deflist_unique (conflict_key_r=0x0, pool=0x26fc980, dest_link=0x270c9f8, src_link=0x2535648, def=0x40e9c0) at settings-parser.c:1900
#8 settings_apply (dest_link=0x270c9f8, src_link=0x2535648, pool=0x26fc980, conflict_key_r=0x0) at settings-parser.c:1964
#9 0x00007f4118f59860 in settings_parser_apply_changes (dest=0x270c9b0, src=0x2535600, pool=0x26fc980, conflict_key_r=0x0) at settings-parser.c:1982
#10 0x0000000000406ed8 in config_module_parser_apply_changes (error_r=0x0, pool=0x26fc980, src=0x7f4119390e48, dest=0x26fc9a0) at config-filter.c:293
#11 config_filter_parsers_get (ctx=<optimized out>, pool=0x26fc980, module=0x4100d9 "", filter=0x7f41193979f0, parsers_r=0x7fff395b4d78, output_r=<optimized out>, error_r=0x7fff395b4d80) at config-filter.c:337
#12 0x0000000000408ab3 in config_all_parsers_check (error_r=0x7fff395b4d80, new_filter=0x7f41193a5d00, ctx=0x7fff395b4d90) at config-parser.c:398
#13 config_parse_finish (error_r=0x7fff395b4e78, ctx=0x7fff395b4d90) at config-parser.c:676
#14 config_parse_file (path=0x7f41193a5d00 "0\300\070\031A\177", expand_values=false, module=0x4100d9 "", error_r=0x7fff395b4e78) at config-parser.c:947
#15 0x0000000000404e4b in main (argc=1, argv=0x252f370) at main.c:33
(gdb) frame 5
#5 0x00007f4118f58a56 in settings_copy_deflist_unique (conflict_key_r=0x0, pool=0x26fc980, dest_link=0x7fff395b4bf0, src_link=0x7fff395b4bb0, def=0x40e640) at settings-parser.c:1877
1877 i_assert(src_count == ccount);
(gdb) print src_count
$1 = 1
(gdb) print ccount
$2 = <optimized out>
------

--- gdb: bt full ---

#0  0x00007f4118be7655 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007f4118be88fa in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x00007f4118f7a69f in default_fatal_finish (type=<optimized out>, status=0) at failures.c:187
        backtrace = 0x25280e0 "/usr/lib64/dovecot/libdovecot.so.0(+0x3d681) [0x7f4118f7a681] -> /usr/lib64/dovecot/libdovecot.so.0(i_syslog_fatal_handler+0) [0x7f4118f7a6d7] -> /usr/lib64/dovecot/libdovecot.so.0(i_syslog_error_hand"...
#3  0x00007f4118f7a6d7 in i_internal_fatal_handler (ctx=0x7fff395b48e0, format=<optimized out>, args=<optimized out>) at failures.c:645
        status = 0
#4  0x00007f4118f7a224 in i_panic (format=0x306b <Address 0x306b out of bounds>) at failures.c:259
        ctx = {type = LOG_TYPE_PANIC, exit_status = 0, timestamp = 0x0}
        args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fff395b49b0, reg_save_area = 0x7fff395b48f0}}
#5  0x00007f4118f58a56 in settings_copy_deflist_unique (conflict_key_r=0x0, pool=0x26fc980, dest_link=0x7fff395b4bf0, src_link=0x7fff395b4bb0, def=0x40e640) at settings-parser.c:1877
        dest_carr = <optimized out>
        dest_cchildren = <optimized out>
        src_count = 1
        child_src_link = {parent = 0x0, info = 0x40fb80, full_key = 0x0, array = 0x0, set_struct = 0x0, change_struct = 0x0, change_array = 0x0}
        dest_arr = 0x26fe5a0
        dest_namep = <optimized out>
        dest_count = <optimized out>
        src_carr = <optimized out>
        src_children = 0x7f411938f858
        src_cchildren = 0x7f411938f7f8
        dest_children = <optimized out>
        child_set = 0x2700ff8
        i = <optimized out>
        child_dest_link = {parent = 0x0, info = 0x40fb80, full_key = 0x0, array = 0x0, set_struct = 0x0, change_struct = 0x0, change_array = 0x0}
        src_arr = <optimized out>
        j = <optimized out>
        type_offset = 0
#6  settings_apply (dest_link=0x7fff395b4bf0, src_link=0x7fff395b4bb0, pool=0x26fc980, conflict_key_r=0x0) at settings-parser.c:1964
        def = 0x40e640
        src = <optimized out>
        csrc = <optimized out>
        dest = <optimized out>
        cdest = <optimized out>
        __FUNCTION__ = "settings_apply"
#7  0x00007f4118f58c87 in settings_copy_deflist_unique (conflict_key_r=0x0, pool=0x26fc980, dest_link=0x270c9f8, src_link=0x2535648, def=0x40e9c0) at settings-parser.c:1900
        dest_carr = <optimized out>
        dest_cchildren = 0x26fe960
        src_count = 16
        child_src_link = {parent = 0x0, info = 0x40d1a0, full_key = 0x0, array = 0x0, set_struct = 0x7f411938f610, change_struct = 0x7f411938f6c0, change_array = 0x0}
        dest_arr = <optimized out>
        dest_namep = <optimized out>
        dest_count = 16
        src_carr = <optimized out>
        src_children = 0x7f411938c4a8
        src_cchildren = 0x7f411938c3d0
        dest_children = 0x26fcd20
        child_set = 0x7f4118f88db6
        i = <optimized out>
        child_dest_link = {parent = 0x0, info = 0x40d1a0, full_key = 0x0, array = 0x0, set_struct = 0x26fe538, change_struct = 0x26ffa08, change_array = 0x0}
        src_arr = <optimized out>
        j = <optimized out>
        type_offset = <optimized out>
#8  settings_apply (dest_link=0x270c9f8, src_link=0x2535648, pool=0x26fc980, conflict_key_r=0x0) at settings-parser.c:1964
        def = 0x40e9c0
        src = <optimized out>
        csrc = <optimized out>
        dest = <optimized out>
        cdest = <optimized out>
        __FUNCTION__ = "settings_apply"
#9  0x00007f4118f59860 in settings_parser_apply_changes (dest=0x270c9b0, src=0x2535600, pool=0x26fc980, conflict_key_r=0x0) at settings-parser.c:1982
        i = <optimized out>
        __FUNCTION__ = "settings_parser_apply_changes"
#10 0x0000000000406ed8 in config_module_parser_apply_changes (error_r=0x0, pool=0x26fc980, src=0x7f4119390e48, dest=0x26fc9a0) at config-filter.c:293
        i = <optimized out>
#11 config_filter_parsers_get (ctx=<optimized out>, pool=0x26fc980, module=0x4100d9 "", filter=0x7f41193979f0, parsers_r=0x7fff395b4d78, output_r=<optimized out>, error_r=0x7fff395b4d80) at config-filter.c:337
        src = 0x2527fc0
        dest = 0x26fc9a0
        error = 0x0
        error_p = 0x0
        i = <optimized out>
        count = <optimized out>
        __FUNCTION__ = "config_filter_parsers_get"
#12 0x0000000000408ab3 in config_all_parsers_check (error_r=0x7fff395b4d80, new_filter=0x7f41193a5d00, ctx=0x7fff395b4d90) at config-parser.c:398
        output = {specific_services = 0x0, service_uses_local = 0, service_uses_remote = 0, used_local = 0, used_remote = 0}
        parsers = <optimized out>
        ssl_set = <optimized out>
        global_ssl_set = 0x7f4119392ec8 "no"
        tmp_pool = 0x26fc980
        ssl_warned = <optimized out>
        ret = 0
        count = 5
        tmp_parsers = 0x26fc9a0
        i = <optimized out>
#13 config_parse_finish (error_r=0x7fff395b4e78, ctx=0x7fff395b4d90) at config-parser.c:676
        new_filter = 0x7f41193a5d00
        error = <optimized out>
#14 config_parse_file (path=0x7f41193a5d00 "0\300\070\031A\177", expand_values=false, module=0x4100d9 "", error_r=0x7fff395b4e78) at config-parser.c:947
        root = {prev = 0x0, input = 0x0, path = 0x252f415 "/etc/dovecot/dovecot.conf", linenum = 87}
        ctx = {pool = 0x7f411938c030, path = 0x252f415 "/etc/dovecot/dovecot.conf", module = 0x4100d9 "", all_parsers = {arr = {buffer = 0x7f4119390998, element_size = 8}, v = 0x7f4119390998, v_modifiable = 0x7f4119390998},
          root_parsers = 0x7f411938c050, cur_section = 0x7f4119390dd0, cur_input = 0x0, str = 0x7f4119390ec8, pathlen = 0, section_counter = 14, error = 0x0, old = 0x7f4119391000, filter = 0x0, expand_values = 1}
        i = <optimized out>
        count = <optimized out>
        key = <optimized out>
        value = <optimized out>
        full_line = 0x0
        type = 423168480
        line = <optimized out>
        fd = 5
        ret = 0
        handled = <optimized out>
#15 0x0000000000404e4b in main (argc=1, argv=0x252f370) at main.c:33
        path = <optimized out>
        error = <optimized out>
------
Comment 1 Michael Orlitzky gentoo-dev 2012-05-12 18:48:23 UTC
It looks like the assertion failed during config file parsing, can you post your dovecot.conf?
Comment 2 Lutz Schildt 2012-05-13 01:15:34 UTC
Created attachment 311555 [details]
dovecot.conf
Comment 3 Lutz Schildt 2012-05-13 01:16:21 UTC
Created attachment 311557 [details]
dovecot-sql.conf.ext
Comment 4 Lutz Schildt 2012-05-13 01:21:22 UTC
Sorry for comment-spam :(

dovecot.conf and dovecot-sql.conf.ext have been attached. database name, user and password have been modified obviously. doveconf does crash every now and then as well as I just found out. Feels like it crashes once with the same output as dovecot/config in every 20 to 30 times I run it.
Comment 5 Michael Orlitzky gentoo-dev 2012-05-14 17:28:42 UTC
(In reply to comment #2)
> Created attachment 311555 [details]
> dovecot.conf

Is this really your config file, or the output of `doveconf` (one can't tell, but Timo thought it was the latter)?

He also said that there were fixes to settings-parser.c in the dovecot-2.1, so if you're willing to brave the upgrade, that could either fix the problem or confirm that it still exists in 2.1.
Comment 6 Lutz Schildt 2012-05-14 17:31:10 UTC
It's the output of doveconf
Comment 7 Michael Orlitzky gentoo-dev 2012-05-14 17:35:23 UTC
(In reply to comment #6)
> It's the output of doveconf

Can you post the actual config file? If there's really a bug in the parser, it might only be triggered on the actual file.
Comment 8 Lutz Schildt 2012-05-14 17:43:53 UTC
The actual config consists of roughly 20+ files, I'd have to go through all of them manually and remove passwords etc. Also do you want me to put them into an archive?
Comment 9 Michael Orlitzky gentoo-dev 2012-05-14 17:50:20 UTC
(In reply to comment #8)
> The actual config consists of roughly 20+ files, I'd have to go through all
> of them manually and remove passwords etc. Also do you want me to put them
> into an archive?

Yeah, sorry. I'll set up an installation of 2.0.19 here and see if I can get it to crash, but I'll need your real config files (sans passwords) otherwise I'm sure it would work.

If I can get it to crash, I can try to the 2.1.x upgrade and see what happens.
Comment 10 Lutz Schildt 2012-05-14 22:03:54 UTC
Created attachment 311801 [details]
dovecot config files
Comment 11 Michael Orlitzky gentoo-dev 2012-05-15 04:49:09 UTC
(In reply to comment #10)
> Created attachment 311801 [details]
> dovecot config files

I'm not able to reproduce this running `doveconf` a few hundred thousand times on a desktop machine. The machines look "close enough," i.e. I was able to use your CFLAGS.

We're running 2.0.17 on our main IMAP server at the moment... I'm going to upgrade that now and see if those errors start to show up in the logs tomorrow.
Comment 12 Michael Orlitzky gentoo-dev 2012-05-15 06:22:17 UTC
(In reply to comment #11)
> 
> We're running 2.0.17 on our main IMAP server at the moment... I'm going to
> upgrade that now and see if those errors start to show up in the logs
> tomorrow.

Well, I upgraded, but hit a problem. I was able to run `doveconf` without it crashing, however, sieve broke. I started seeing "...Error: sieve: failed to open script..." and messages failing to be filtered in the logs.

I can't have that be broken in the morning, so I had to revert to 2.0.17 for now (which is working fine again with the same config).
Comment 13 Alex Brandt (RETIRED) gentoo-dev 2012-06-16 18:27:04 UTC
(In reply to comment #12)
> Well, I upgraded, but hit a problem. I was able to run `doveconf` without it
> crashing, however, sieve broke. I started seeing "...Error: sieve: failed to
> open script..." and messages failing to be filtered in the logs.
> 
> I can't have that be broken in the morning, so I had to revert to 2.0.17 for
> now (which is working fine again with the same config).

I've been having the same issues with 2.0.19 but not able to find any information on the issue.  In particular it seems that 2.0.19 can't find personal includes on my setup.  Same exact config runs just fine with 2.0.17.

Was looking to test that again today but noticed that 2.0.17 has been removed from the tree so until that either gets added back in (not sure if that's something that happens) or I see this issue is resolved I don't feel comfortable playing around with the 2.0.19 issue.
Comment 14 Michael Orlitzky gentoo-dev 2012-06-16 18:37:44 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > Well, I upgraded, but hit a problem. I was able to run `doveconf` without it
> > crashing, however, sieve broke. I started seeing "...Error: sieve: failed to
> > open script..." and messages failing to be filtered in the logs.
> > 
> > I can't have that be broken in the morning, so I had to revert to 2.0.17 for
> > now (which is working fine again with the same config).
> 
> I've been having the same issues with 2.0.19 but not able to find any
> information on the issue.  In particular it seems that 2.0.19 can't find
> personal includes on my setup.  Same exact config runs just fine with 2.0.17.
> 
> Was looking to test that again today but noticed that 2.0.17 has been
> removed from the tree so until that either gets added back in (not sure if
> that's something that happens) or I see this issue is resolved I don't feel
> comfortable playing around with the 2.0.19 issue.

You can safely pull the 2.0.17 ebuild from CVS, though:

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/net-mail/dovecot/dovecot-2.0.17.ebuild?revision=1.10

I've got bigger problems right now, but sooner or later I'll have to just skip 2.0.19 and see if the 2.1.x series works.
Comment 15 Eray Aslan gentoo-dev 2012-06-17 06:20:50 UTC
I've added dovecot-2.0.17 back to the tree for now.
Comment 16 Michael Orlitzky gentoo-dev 2012-09-16 00:42:06 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > 
> > We're running 2.0.17 on our main IMAP server at the moment... I'm going to
> > upgrade that now and see if those errors start to show up in the logs
> > tomorrow.
> 
> Well, I upgraded, but hit a problem. I was able to run `doveconf` without it
> crashing, however, sieve broke. I started seeing "...Error: sieve: failed to
> open script..." and messages failing to be filtered in the logs.
> 
> I can't have that be broken in the morning, so I had to revert to 2.0.17 for
> now (which is working fine again with the same config).

This was due to a bug fix in 2.0.18:

  http://dovecot.org/list/dovecot/2012-February/063748.html

I've just upgraded to 2.1.9 and things look OK after I fixed that.
Comment 17 Alex Brandt (RETIRED) gentoo-dev 2012-10-21 14:43:29 UTC
Ditto, everything is working fine here in 2.1.9 with the sieve changes.
Comment 18 Eray Aslan gentoo-dev 2012-12-06 11:35:34 UTC
Closing as dovecot-2.0.19 is no longer in the tree.
Comment 19 Lutz Schildt 2013-01-04 06:05:29 UTC
With dovecot 2.0.17 and 2.0.19 gone from the tree, I now had to move to 2.1.12-r1 and I'm still experiencing the exact same issue.

dovecot-2.0.17 with the last version this did not happen, as of 2.0.19 this happens from time to time.

I'm open for any suggestions.
Comment 20 Michael Orlitzky gentoo-dev 2013-01-04 06:15:11 UTC
(In reply to comment #19)
> With dovecot 2.0.17 and 2.0.19 gone from the tree, I now had to move to
> 2.1.12-r1 and I'm still experiencing the exact same issue.
> 
> dovecot-2.0.17 with the last version this did not happen, as of 2.0.19 this
> happens from time to time.
> 
> I'm open for any suggestions.

Did you check my last post? There was a bugfix in sieve that was responsible for the crash (i.e., you have a slight mistake in your config, which used to work):

  http://dovecot.org/list/dovecot/2012-February/063748.html
Comment 21 Lutz Schildt 2013-01-04 06:17:33 UTC
I'm not using sieve and the USE-flag is disabled.
Comment 22 Michael Orlitzky gentoo-dev 2013-01-04 06:19:43 UTC
(In reply to comment #21)
> I'm not using sieve and the USE-flag is disabled.

Oh, duh, sorry. I forgot that the original wasn't what was keeping me off 2.0.19.
Comment 23 Michael Orlitzky gentoo-dev 2013-01-04 06:55:59 UTC
Created attachment 334388 [details]
Test ebuild for dovecot-2.2.alpha1

I threw together this ebuild for the latest alpha (I just hard-coded the version/paths, and deleted the pigeonhole stuff). It at least starts up here.

If you still get the error with this, you should post the backtrace either to dovecot-users (where the author will see it), or back here (and I can relay it there). Crashes with backtraces are usually fixed quickly.